

%% Piano 
clear all

[x,fs] = audioread('pianoC.wav');
L = length(x);  
x = x(4*fs:end/4); % take first 3 seconds
t = (0:length(x)-1)*1/fs;

figure(1);
subplot(2,1,1)
plot(t,x);
xlabel('Time (sec)');
ylabel('Magnitude');
title('Time Signal');
set(gca,'FontSize',18)
subplot(2,1,2)
fx = fft(x);
freq_range = fs*(1:length(x))/length(x)-fs/2;
stem(freq_range,abs(fftshift(fx)),'.')
xlabel('Freq (Hz)');
ylabel('Magnitude');
title('Spectrum');
ax = axis;
axis([-4000,4000,ax(3),ax(4)])
set(gca,'FontSize',18)
orient tall
soundsc(x,fs)

%% Hello
clear all

[x,fs] = audioread('HelloMalloy.wav');
x = x(:,1);
L = length(x);  
% x = x(4*fs:end/4); % take first 3 seconds
t = (0:length(x)-1)*1/fs;

figure(2);
subplot(2,1,1)
plot(t,x);
xlabel('Time (sec)');
ylabel('Magnitude');
title('Time Signal');
set(gca,'FontSize',18)
subplot(2,1,2)
fx = fft(x);
freq_range = fs*(1:length(x))/length(x)-fs/2;
stem(freq_range,abs(fftshift(fx)),'.')
xlabel('Freq (Hz)');
ylabel('Magnitude');
title('Spectrum');
ax = axis;
axis([-2000,2000,ax(3),ax(4)])
set(gca,'FontSize',18)
orient tall
soundsc(x,fs)
